<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Factory;

use Dedi\SyliusQuotePlugin\Controller\AddToQuoteCommand;
use Dedi\SyliusQuotePlugin\Controller\AddToQuoteCommandInterface;
use Dedi\SyliusQuotePlugin\Entity\QuoteInterface;
use Dedi\SyliusQuotePlugin\Entity\QuoteItemInterface;

class AddToQuoteCommandFactory implements AddToQuoteCommandFactoryInterface
{
    public function createWithQuoteAndQuoteItem(QuoteInterface $quote, QuoteItemInterface $quoteItem): AddToQuoteCommandInterface
    {
        return new AddToQuoteCommand($quote, $quoteItem);
    }
}
